// You can import API functions like this from D3.js.
import { select, csv} from 'd3';

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of the message div.
select('#message').text(message);


//creer le svg
const svg = select('svg');

//Pour chercher un élément svg du DOM,convertir en numérique avec “+”
const width = +svg.attr('width');
const height = +svg.attr('height');

//on crée la classe des cercles 
const circleGroup = svg.append('g')
											 .attr('transform', 
                             `translate(${width/2}, ${height/2})`);



//function pour déplacer le cercle rouge
function moveCircle(circle1){
		circle1.transition()
                .duration(500)
                .attr('transform',
                    `translate(${-0},${-150})`)
  					.transition()
                .duration(500)
                .attr('transform',
                    `translate(${-150},${0})`)
  					.transition()
                .duration(500)
                .attr('transform',
                    `translate(${0},${150})`)
  					.transition()
                .duration(500)
                .attr('transform',
                    `translate(${150},${0})`)
  					.transition()
                .duration(500)
                .attr('transform',
                    `translate(${0},${0})`);
}

//cercle rouge:
const circle1 = circleGroup.append('circle')
           .attr('fill', 'red')
           .attr('r', 60)
					 .on('click', function() {
						moveCircle(circle1)});

//cercle vert:
circleGroup.append('circle')
					 .attr('cx', -150)
           .attr('fill', 'green')
           .attr('r', 60)
					 .attr('class', 'circleClass');

//cercle bleu:
circleGroup.append('circle')
					 .attr('cx', +150)
           .attr('fill', 'blue')
           .attr('r', 60)
					 .attr('class', 'circleClass');

//cercle rose:
circleGroup.append('circle')
					 .attr('cy', -150)
           .attr('fill', 'pink')
           .attr('r', 60)
					 .attr('class', 'circleClass');

//cercle orange:
const circle5 = circleGroup.append('circle')
					 .attr('cy', +150)
           .attr('fill', 'orange')
           .attr('r', 60)
					 .attr('class', 'circleClass');

svg.append('rect')
			.attr('cx', 0)
      .attr('height', 100)
      .attr('width', 100)
			.attr('class', 'cadre')
      .on('click', function() {
        moveCircle(cir